package com.hotent.uc.manager;

import com.alibaba.fastjson.JSONObject;
import com.hotent.base.manager.BaseManager;
import com.hotent.base.model.CommonResult;
import com.hotent.uc.model.OrgExternalSetting;
import com.hotent.uc.model.ShortMsgLog;
import com.hotent.uc.model.User;

/**
 * 云信发送短信 服务类
 *
 * @company 广州宏天软件股份有限公司
 * @author pangquan
 * @since 2020-10-30
 */
public interface ShortMsgLogManager extends BaseManager<ShortMsgLog> {
   /**
    * @description  发送短信
    * @author  yangzibin
    * @date    2024/2/21 14:35
    * @param	mobile
    * @param	msg
    * @return  void
    */
   JSONObject sendMsgYzmCode(String mobile,String signName,String use);

   String sendMsgVerCode(String mobile,String msg,String use);

   String getMsgVerCode(String mobile,String use);

   User verifyPhoneCode(String mobile,String use, String code);

   void removeMsgYzmCode(String mobile,String use);


   /**
    * @description  发送短信
    * @author  yangzibin
    * @date    2024/2/21 14:35
    * @param	mobile
    * @param	msg
    * @return  void
    */
   JSONObject sendMsg(String mobile,String signName,String content);
}
